Bug 22331 - Update request: kernel 4.4.111
Summary: Update request: kernel 4.4.111
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 5
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL:
Whiteboard: MGA5-64-OK, MGA5-32-OK
Keywords: advisory, validated_update
Depends on: 22337
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-06 23:13 CET by Thomas Backlund
Modified: 2018-01-13 15:29 CET (History)
8 users (show)

See Also:
Source RPM: kernel
CVE:
Status comment:


Attachments

Description Thomas Backlund 2018-01-06 23:13:12 CET
Meltdown fixed kernel...

Advisory will follow

There might be need for a rebuild for additional fixes... but please start testing so we can catch regressions...

SRPMS:
kernel-4.4.110-1.mga5.src.rpm
kernel-userspace-headers-4.4.110-1.mga5.src.rpm
kmod-vboxadditions-5.1.30-3.mga5.src.rpm
kmod-virtualbox-5.1.30-3.mga5.src.rpm
kmod-xtables-addons-2.10-51.mga5.src.rpm


i586:
cpupower-4.4.110-1.mga5.i586.rpm
cpupower-devel-4.4.110-1.mga5.i586.rpm
kernel-desktop-4.4.110-1.mga5-1-1.mga5.i586.rpm
kernel-desktop586-4.4.110-1.mga5-1-1.mga5.i586.rpm
kernel-desktop586-devel-4.4.110-1.mga5-1-1.mga5.i586.rpm
kernel-desktop586-devel-latest-4.4.110-1.mga5.i586.rpm
kernel-desktop586-latest-4.4.110-1.mga5.i586.rpm
kernel-desktop-devel-4.4.110-1.mga5-1-1.mga5.i586.rpm
kernel-desktop-devel-latest-4.4.110-1.mga5.i586.rpm
kernel-desktop-latest-4.4.110-1.mga5.i586.rpm
kernel-doc-4.4.110-1.mga5.noarch.rpm
kernel-server-4.4.110-1.mga5-1-1.mga5.i586.rpm
kernel-server-devel-4.4.110-1.mga5-1-1.mga5.i586.rpm
kernel-server-devel-latest-4.4.110-1.mga5.i586.rpm
kernel-server-latest-4.4.110-1.mga5.i586.rpm
kernel-source-4.4.110-1.mga5-1-1.mga5.noarch.rpm
kernel-source-latest-4.4.110-1.mga5.noarch.rpm
kernel-userspace-headers-4.4.110-1.mga5.i586.rpm
perf-4.4.110-1.mga5.i586.rpm

vboxadditions-kernel-4.4.110-desktop-1.mga5-5.1.30-3.mga5.i586.rpm
vboxadditions-kernel-4.4.110-desktop586-1.mga5-5.1.30-3.mga5.i586.rpm
vboxadditions-kernel-4.4.110-server-1.mga5-5.1.30-3.mga5.i586.rpm
vboxadditions-kernel-desktop586-latest-5.1.30-3.mga5.i586.rpm
vboxadditions-kernel-desktop-latest-5.1.30-3.mga5.i586.rpm
vboxadditions-kernel-server-latest-5.1.30-3.mga5.i586.rpm

virtualbox-kernel-4.4.110-desktop-1.mga5-5.1.30-3.mga5.i586.rpm
virtualbox-kernel-4.4.110-desktop586-1.mga5-5.1.30-3.mga5.i586.rpm
virtualbox-kernel-4.4.110-server-1.mga5-5.1.30-3.mga5.i586.rpm
virtualbox-kernel-desktop586-latest-5.1.30-3.mga5.i586.rpm
virtualbox-kernel-desktop-latest-5.1.30-3.mga5.i586.rpm
virtualbox-kernel-server-latest-5.1.30-3.mga5.i586.rpm

xtables-addons-kernel-4.4.110-desktop-1.mga5-2.10-51.mga5.i586.rpm
xtables-addons-kernel-4.4.110-desktop586-1.mga5-2.10-51.mga5.i586.rpm
xtables-addons-kernel-4.4.110-server-1.mga5-2.10-51.mga5.i586.rpm
xtables-addons-kernel-desktop586-latest-2.10-51.mga5.i586.rpm
xtables-addons-kernel-desktop-latest-2.10-51.mga5.i586.rpm
xtables-addons-kernel-server-latest-2.10-51.mga5.i586.rpm


x86_64:
cpupower-4.4.110-1.mga5.x86_64.rpm
cpupower-devel-4.4.110-1.mga5.x86_64.rpm
kernel-desktop-4.4.110-1.mga5-1-1.mga5.x86_64.rpm
kernel-desktop-devel-4.4.110-1.mga5-1-1.mga5.x86_64.rpm
kernel-desktop-devel-latest-4.4.110-1.mga5.x86_64.rpm
kernel-desktop-latest-4.4.110-1.mga5.x86_64.rpm
kernel-doc-4.4.110-1.mga5.noarch.rpm
kernel-server-4.4.110-1.mga5-1-1.mga5.x86_64.rpm
kernel-server-devel-4.4.110-1.mga5-1-1.mga5.x86_64.rpm
kernel-server-devel-latest-4.4.110-1.mga5.x86_64.rpm
kernel-server-latest-4.4.110-1.mga5.x86_64.rpm
kernel-source-4.4.110-1.mga5-1-1.mga5.noarch.rpm
kernel-source-latest-4.4.110-1.mga5.noarch.rpm
perf-4.4.110-1.mga5.x86_64.rpm

vboxadditions-kernel-4.4.110-desktop-1.mga5-5.1.30-3.mga5.x86_64.rpm
vboxadditions-kernel-4.4.110-server-1.mga5-5.1.30-3.mga5.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.1.30-3.mga5.x86_64.rpm
vboxadditions-kernel-server-latest-5.1.30-3.mga5.x86_64.rpm

virtualbox-kernel-4.4.110-desktop-1.mga5-5.1.30-3.mga5.x86_64.rpm
virtualbox-kernel-4.4.110-server-1.mga5-5.1.30-3.mga5.x86_64.rpm
virtualbox-kernel-desktop-latest-5.1.30-3.mga5.x86_64.rpm
virtualbox-kernel-server-latest-5.1.30-3.mga5.x86_64.rpm

xtables-addons-kernel-4.4.110-desktop-1.mga5-2.10-51.mga5.x86_64.rpm
xtables-addons-kernel-4.4.110-server-1.mga5-2.10-51.mga5.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.10-51.mga5.x86_64.rpm
xtables-addons-kernel-server-latest-2.10-51.mga5.x86_64.rpm
Thomas Backlund 2018-01-06 23:38:37 CET

Depends on: (none) => 22337

Comment 1 Thomas Andrews 2018-01-07 02:13:33 CET
Athlon X2 7750 processor, Geforce 9800 GT graphics, 8GB, Atheros wifi.

Applied all updates listed for my machine in testing, including the above server kernel and the microcode update.

So far, so good.

CC: (none) => andrewsfarm

Comment 2 Thomas Andrews 2018-01-07 02:14:34 CET
Silly me. Forgot to mention that Comment 1 is about a 64-bit system.
Comment 3 ben mcmonagle 2018-01-07 05:34:17 CET
Mga5 32 

(multi-test; microcode, kernel & broadcom wifi)

# urpmi kernel-desktop-4.4.110-1.mga5 kernel-desktop-devel-4.4.110-1.mga5 kernel-desktop-latest kernel-desktop-devel-latest kernel-userspace-headers microcode

installing 

kernel-desktop-latest-4.4.110-1.mga5.i586.rpm 
kernel-userspace-headers-4.4.110-1.mga5.i586.rpm 
kernel-desktop-devel-4.4.110-1.mga5-1-1.mga5.i586.rpm 
microcode-0.20171215-1.mga5.nonfree.noarch.rpm 
kernel-desktop-devel-latest-4.4.110-1.mga5.i586.rpm 
kernel-desktop-4.4.110-1.mga5-1-1.mga5.i586.rpm from /var/cache/urpmi/rpms

Preparing...

      1/6: microcode             
      2/6: kernel-userspace-headers
      3/6: kernel-desktop-4.4.110-1.mga5
      4/6: kernel-desktop-devel-4.4.110-1.mga5
      5/6: kernel-desktop-devel-latest
      6/6: kernel-desktop-latest 
      1/4: removing kernel-desktop-devel-latest-4.4.105-1.mga5.i586
      2/4: removing microcode-0.20170707-1.mga5.nonfree.noarch
      3/4: removing kernel-userspace-headers-4.4.105-1.mga5.i586
      4/4: removing kernel-desktop-latest-4.4.105-1.mga5.i586
                                 

broadcom-wl (6.30.223.271-5.mga5.nonfree): Installing module.
...................
...........
Cannot find a boot loader installed. Only taking care of initrd
Creating: target|kernel|dracut args|basicmodules 
You should restart your computer for kernel-desktop-4.4.110-1.mga5

reboot to working desktop. wifi working -ok

CC: (none) => westel
Whiteboard: (none) => MGA5-32-OK

Comment 4 ben mcmonagle 2018-01-07 06:33:23 CET
Mga5-x86_64 (Celeron M  530)

(multi-test; microcode, kernel, broadcom Wifi) 

# urpmi microcode kernel-desktop-latest kernel-desktop-devel-latest kernel-userspace-headers 

To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing (distrib5)")
  kernel-desktop-4.4.110-1.mga5  1            1.mga5        x86_64  
  kernel-desktop-devel-4.4.110-> 1            1.mga5        x86_64  
  kernel-desktop-devel-latest    4.4.110      1.mga5        x86_64  
  kernel-desktop-latest          4.4.110      1.mga5        x86_64  
  kernel-userspace-headers       4.4.110      1.mga5        x86_64  
(medium "Nonfree Updates Testing (distrib15)")
  microcode                      0.20171215   1.mga5.nonfr> noarch  
88MB of additional disk space will be used.
59MB of packages will be retrieved.
Proceed with the installation of the 6 packages? (Y/n) y

installing kernel-desktop-4.4.110-1.mga5-1-1.mga5.x86_64.rpm kernel-desktop-devel-latest-4.4.110-1.mga5.x86_64.rpm kernel-desktop-devel-4.4.110-1.mga5-1-1.mga5.x86_64.rpm microcode-0.20171215-1.mga5.nonfree.noarch.rpm kernel-desktop-latest-4.4.110-1.mga5.x86_64.rpm kernel-userspace-headers-4.4.110-1.mga5.x86_64.rpm from /var/cache/urpmi/rpms
Preparing...  

1/6: kernel-desktop-devel-4.4.110-1.mga5
      2/6: kernel-desktop-4.4.110-1.mga5
      3/6: kernel-desktop-latest
      4/6: kernel-desktop-devel-latest
      5/6: kernel-userspace-headers
      6/6: microcode   
      1/4: removing kernel-userspace-headers-4.4.105-1.mga5.x86_64 
      2/4: removing kernel-desktop-latest-4.4.105-1.mga5.x86_64
      3/4: removing microcode-0.20170707-1.mga5.nonfree.noarch
      4/4: removing kernel-desktop-devel-latest-4.4.105-1.mga5.x86_64
      
broadcom-wl (6.30.223.271-5.mga5.nonfree): Installing module.
......................
..........
Cannot find a boot loader installed. Only taking care of initrd
Creating: target|kernel|dracut args|basicmodules 
You should restart your computer for kernel-desktop-4.4.110-1.mga5

reboot to working desktop, wifi working -ok

Whiteboard: MGA5-32-OK => MGA5-32-OK MGA5-64-OK

Comment 5 Marja Van Waes 2018-01-07 06:49:42 CET
Intel graphics, on an old ThinkPad SL510:

updated to
[marja@Mga5_64bit ~]$ rpm -qa --last | head
microcode-0.20171215-1.mga5.nonfree.noarch    Sun 07 Jan 2018 06:23:50 CET
cpupower-4.4.110-1.mga5.x86_64                Sun 07 Jan 2018 06:23:45 CET
kernel-desktop-latest-4.4.110-1.mga5.x86_64   Sun 07 Jan 2018 06:23:43 CET
kernel-desktop-4.4.110-1.mga5-1-1.mga5.x86_64 Sun 07 Jan 2018 06:23:38 CET


[marja@Mga5_64bit ~]$ uname -a
Linux Mga5_64bit 4.4.110-desktop-1.mga5 #1 SMP Sat Jan 6 17:23:24 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[marja@Mga5_64bit ~]$ 

at first sight everything works OK (except an issue that is probably hw related and that already existed before)... I'll use this laptop when I'm on the way today, if I find anything wrong I'll report it here. No news is good news.

CC: (none) => marja11

Comment 6 James Kerr 2018-01-07 14:05:32 CET
on mga5-64

packages installed cleanly:
- cpupower-4.4.110-1.mga5.x86_64
- kernel-desktop-4.4.110-1.mga5-1-1.mga5.x86_64
- kernel-desktop-latest-4.4.110-1.mga5.x86_64
- kernel-userspace-headers-4.4.110-1.mga5.x86_64
- ldetect-lst-0.1.346.10-1.mga5.x86_64
- virtualbox-kernel-4.4.110-desktop-1.mga5-5.1.30-3.mga5.x86_64
- virtualbox-kernel-desktop-latest-5.1.30-3.mga5.x86_64

system re-booted normally
$ uname -r
4.4.110-desktop-1.mga5

vbox and client launched normally

no rgressions noted


OK for mga5-64 on this system:

Machine:   System: Dell product: Precision Tower 3620
           Mobo: Dell model: 09WH54 
CPU:       Quad core Intel Core i7-6700 (-HT-MCP-)
Graphics:  Card: Intel HD Graphics 530

CC: (none) => jim

Comment 7 James Kerr 2018-01-07 14:22:40 CET
on mga5-32, in a vbox VM

packages installed cleanly:
- cpupower-4.4.110-1.mga5.i586
- kernel-desktop-4.4.110-1.mga5-1-1.mga5.i586
- kernel-desktop-latest-4.4.110-1.mga5.i586
- kernel-userspace-headers-4.4.110-1.mga5.i586
- ldetect-lst-0.1.346.10-1.mga5.i586
- microcode-0.20171215-1.mga5.nonfree.noarch
- vboxadditions-kernel-4.4.110-desktop-1.mga5-5.1.30-3.mga5.i586
- vboxadditions-kernel-desktop-latest-5.1.30-3.mga5.i586

VM re-booted normally

$ uname -r
4.4.110-desktop-1.mga5

No regressions noted

OK for mga5-32 in a vbox VM
Comment 8 Herman Viaene 2018-01-07 14:53:41 CET
MGA5-32 on Dell Latitude D600 Xfce
No installation issues
Usual tests with web content, documents, pictures, text files, videos, all OK.

CC: (none) => herman.viaene

Comment 9 Len Lawrence 2018-01-07 16:16:28 CET
System:    Host: juza Kernel: 4.4.110-tmb-desktop-1.mga5 x86_64  
           Desktop: MATE 1.8.1  Distro: Mageia 5 thornicroft 
CPU:       Quad core Intel Core i7-3630QM (-HT-MCP-)
Machine:   System: LENOVO product: 9541 v: Lenovo IdeaPad Y500
Graphics:  Card: NVIDIA GK107M [GeForce GT 650M]
           GLX Version: 4.5.0 NVIDIA 384.11
RAM:       7.74 GB

After reboot the usual battery of tests showed that the desktop was working well.
No regressions observed.

CC: (none) => tarazed25

Comment 10 Thomas Andrews 2018-01-07 19:47:29 CET
Intel Core2Duo, 8GB, Intel graphics, wired Internet.

32-bit server kernel, KDE4 system.

Looks good.
Comment 11 Brian Rockwell 2018-01-07 23:59:42 CET
The following 7 packages are going to be installed:

- kernel-desktop-4.4.110-1.mga5-1-1.mga5.x86_64
- kernel-desktop-latest-4.4.110-1.mga5.x86_64
- microcode-0.20171215-2.mga5.nonfree.noarch
- vboxadditions-kernel-4.4.110-desktop-1.mga5-5.1.30-3.mga5.x86_64
- vboxadditions-kernel-desktop-latest-5.1.30-3.mga5.x86_64
- virtualbox-kernel-4.4.110-desktop-1.mga5-5.1.30-3.mga5.x86_64
- virtualbox-kernel-desktop-latest-5.1.30-3.mga5.x86_64

55MB of additional disk space will be used.

50MB of packages will be retrieved.

Is it ok to continue?



$ uname -a
Linux localhost 4.4.110-desktop-1.mga5 #1 SMP Sat Jan 6 17:23:24 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux



Firefox, libreoffice work fine.  

----------------------
VirtualBox opens, but give an error on start of a VM

Kernel driver not installed (rc=-1908)

The VirtualBox Linux kernel driver (vboxdrv) is either not loaded or there is a permission problem with /dev/vboxdrv. Please reinstall the kernel module by executing

'/sbin/vboxconfig'

as root.

where: suplibOsInit what: 3 VERR_VM_DRIVER_NOT_INSTALLED (-1908) - The support driver is not installed. On linux, open returned ENOENT. 


-----------------

What did I do wrong?

CC: (none) => brtians1

Comment 12 Len Lawrence 2018-01-08 10:04:25 CET
Could you try installing dkms-virtualbox?
If it is already installed, remove it and re-install.
Comment 13 Thomas Backlund 2018-01-09 01:05:20 CET
Unfortunately there is still some regressions that will be fixed in 4.4.111, so  a new kernel will be coming...

Keywords: (none) => feedback

Comment 14 Thomas Backlund 2018-01-11 01:42:08 CET
Fixed kernels ready for test:

SRPMS:
dracut-038-21.2.mga5.src.rpm

kernel-4.4.111-1.mga5.src.rpm
kernel-userspace-headers-4.4.111-1.mga5.src.rpm

kmod-vboxadditions-5.1.30-4.mga5.src.rpm
kmod-virtualbox-5.1.30-4.mga5.src.rpm
kmod-xtables-addons-2.10-52.mga5.src.rpm



i586:
dracut-038-21.2.mga5.i586.rpm

kernel-desktop-4.4.111-1.mga5-1-1.mga5.i586.rpm
kernel-desktop586-4.4.111-1.mga5-1-1.mga5.i586.rpm
kernel-desktop586-devel-4.4.111-1.mga5-1-1.mga5.i586.rpm
kernel-desktop586-devel-latest-4.4.111-1.mga5.i586.rpm
kernel-desktop586-latest-4.4.111-1.mga5.i586.rpm
kernel-desktop-devel-4.4.111-1.mga5-1-1.mga5.i586.rpm
kernel-desktop-devel-latest-4.4.111-1.mga5.i586.rpm
kernel-desktop-latest-4.4.111-1.mga5.i586.rpm
kernel-doc-4.4.111-1.mga5.noarch.rpm
kernel-server-4.4.111-1.mga5-1-1.mga5.i586.rpm
kernel-server-devel-4.4.111-1.mga5-1-1.mga5.i586.rpm
kernel-server-devel-latest-4.4.111-1.mga5.i586.rpm
kernel-server-latest-4.4.111-1.mga5.i586.rpm
kernel-source-4.4.111-1.mga5-1-1.mga5.noarch.rpm
kernel-source-latest-4.4.111-1.mga5.noarch.rpm
kernel-userspace-headers-4.4.111-1.mga5.i586.rpm

vboxadditions-kernel-4.4.111-desktop-1.mga5-5.1.30-4.mga5.i586.rpm
vboxadditions-kernel-4.4.111-desktop586-1.mga5-5.1.30-4.mga5.i586.rpm
vboxadditions-kernel-4.4.111-server-1.mga5-5.1.30-4.mga5.i586.rpm
vboxadditions-kernel-desktop586-latest-5.1.30-4.mga5.i586.rpm
vboxadditions-kernel-desktop-latest-5.1.30-4.mga5.i586.rpm
vboxadditions-kernel-server-latest-5.1.30-4.mga5.i586.rpm

virtualbox-kernel-4.4.111-desktop-1.mga5-5.1.30-4.mga5.i586.rpm
virtualbox-kernel-4.4.111-desktop586-1.mga5-5.1.30-4.mga5.i586.rpm
virtualbox-kernel-4.4.111-server-1.mga5-5.1.30-4.mga5.i586.rpm
virtualbox-kernel-desktop586-latest-5.1.30-4.mga5.i586.rpm
virtualbox-kernel-desktop-latest-5.1.30-4.mga5.i586.rpm
virtualbox-kernel-server-latest-5.1.30-4.mga5.i586.rpm

xtables-addons-kernel-4.4.111-desktop-1.mga5-2.10-52.mga5.i586.rpm
xtables-addons-kernel-4.4.111-desktop586-1.mga5-2.10-52.mga5.i586.rpm
xtables-addons-kernel-4.4.111-server-1.mga5-2.10-52.mga5.i586.rpm
xtables-addons-kernel-desktop586-latest-2.10-52.mga5.i586.rpm
xtables-addons-kernel-desktop-latest-2.10-52.mga5.i586.rpm
xtables-addons-kernel-server-latest-2.10-52.mga5.i586.rpm



x86_64:
dracut-038-21.2.mga5.x86_64.rpm

kernel-desktop-4.4.111-1.mga5-1-1.mga5.x86_64.rpm
kernel-desktop-devel-4.4.111-1.mga5-1-1.mga5.x86_64.rpm
kernel-desktop-devel-latest-4.4.111-1.mga5.x86_64.rpm
kernel-desktop-latest-4.4.111-1.mga5.x86_64.rpm
kernel-doc-4.4.111-1.mga5.noarch.rpm
kernel-server-4.4.111-1.mga5-1-1.mga5.x86_64.rpm
kernel-server-devel-4.4.111-1.mga5-1-1.mga5.x86_64.rpm
kernel-server-devel-latest-4.4.111-1.mga5.x86_64.rpm
kernel-server-latest-4.4.111-1.mga5.x86_64.rpm
kernel-source-4.4.111-1.mga5-1-1.mga5.noarch.rpm
kernel-source-latest-4.4.111-1.mga5.noarch.rpm
kernel-userspace-headers-4.4.111-1.mga5.x86_64.rpm

vboxadditions-kernel-4.4.111-desktop-1.mga5-5.1.30-4.mga5.x86_64.rpm
vboxadditions-kernel-4.4.111-server-1.mga5-5.1.30-4.mga5.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.1.30-4.mga5.x86_64.rpm
vboxadditions-kernel-server-latest-5.1.30-4.mga5.x86_64.rpm

virtualbox-kernel-4.4.111-desktop-1.mga5-5.1.30-4.mga5.x86_64.rpm
virtualbox-kernel-4.4.111-server-1.mga5-5.1.30-4.mga5.x86_64.rpm
virtualbox-kernel-desktop-latest-5.1.30-4.mga5.x86_64.rpm
virtualbox-kernel-server-latest-5.1.30-4.mga5.x86_64.rpm

xtables-addons-kernel-4.4.111-desktop-1.mga5-2.10-52.mga5.x86_64.rpm
xtables-addons-kernel-4.4.111-server-1.mga5-2.10-52.mga5.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.10-52.mga5.x86_64.rpm
xtables-addons-kernel-server-latest-2.10-52.mga5.x86_64.rpm

Summary: Update request: kernel 4.4.110 => Update request: kernel 4.4.111
Keywords: feedback => (none)
Whiteboard: MGA5-32-OK MGA5-64-OK => (none)

Comment 15 Brian Rockwell 2018-01-11 04:01:33 CET
RS780L [Radeon 3000]
AMD Athlon(tm) II X3 450 Processor

--

The following 9 packages are going to be installed:

- cpupower-4.4.111-1.mga5.x86_64
- dracut-038-21.2.mga5.x86_64
- kernel-desktop-4.4.111-1.mga5-1-1.mga5.x86_64
- kernel-desktop-latest-4.4.111-1.mga5.x86_64
- microcode-0.20180108-1.mga5.nonfree.noarch
- vboxadditions-kernel-4.4.111-desktop-1.mga5-5.1.30-4.mga5.x86_64
- vboxadditions-kernel-desktop-latest-5.1.30-4.mga5.x86_64
- virtualbox-kernel-4.4.111-desktop-1.mga5-5.1.30-4.mga5.x86_64
- virtualbox-kernel-desktop-latest-5.1.30-4.mga5.x86_64

54MB of additional disk space will be used.

50MB of packages will be retrieved.

Is it ok to continue?

-
rebooted
-

$ uname -a
Linux localhost 4.4.111-desktop-1.mga5 #1 SMP Wed Jan 10 21:54:51 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Chromium works, libreoffice, firefox.  System is functioning as designed.

Having properly installed cpupower, etc.  Virtualbox is working properly.

64-bit working as designed
Comment 16 Herman Viaene 2018-01-11 11:09:39 CET
MGA5-32 on Dell Latitude D600 Xfce
Installed kernel 4.4.111, no vbox
After reboot tested webcontent, pdf, txt, odp, wav, avi, jpg, pnm, tif files all OK. Good enough for me.
Comment 17 Thomas Backlund 2018-01-11 12:39:58 CET
x86_64 server kernels now running on Mageia infra without issues so far...
Comment 18 James Kerr 2018-01-11 16:00:39 CET
on mga5-64

packages installed cleanly:
- cpupower-4.4.111-1.mga5.x86_64
- dracut-038-21.2.mga5.x86_64
- microcode-0.20180108-1.mga5.nonfree.noarch
- kernel-desktop-4.4.111-1.mga5-1-1.mga5.x86_64
- kernel-desktop-latest-4.4.111-1.mga5.x86_64
- virtualbox-kernel-4.4.111-desktop-1.mga5-5.1.30-4.mga5.x86_64
- virtualbox-kernel-desktop-latest-5.1.30-4.mga5.x86_64

$ uname -r
4.4.111-desktop-1.mga5

 - Tested various common applications
 - No regressions noted

Virtualbox and client launched normally

OK for mga5-64 on this system;
 
Dell product: Precision Tower 3620
Mobo: Dell model: 09WH54 
Card: Intel HD Graphics 530
CPU: Quad core Intel Core i7-6700 (-HT-MCP-)
PC-BIOS boot
GPT partitions
Comment 19 James Kerr 2018-01-11 16:07:32 CET
on mga5-32 in a vbox VM

packages installed cleanly:
- cpupower-4.4.111-1.mga5.i586
- dracut-038-21.2.mga5.i586
- kernel-desktop-4.4.111-1.mga5-1-1.mga5.i586
- kernel-desktop-latest-4.4.111-1.mga5.i586
- microcode-0.20180108-1.mga5.nonfree.noarch
- vboxadditions-kernel-4.4.111-desktop-1.mga5-5.1.30-4.mga5.i586
- vboxadditions-kernel-desktop-latest-5.1.30-4.mga5.i586

$ uname -r
4.4.111-desktop-1.mga5

Tested various common applications

No regressions noted

OK for mga5-32 in a vbox VM
Comment 20 Thomas Andrews 2018-01-11 17:32:44 CET
Athlon X2 7750 processor, Geforce 9800 GT graphics, 8GB, Atheros wifi.

Installed 64-bit microcode, dracut, and server kernel packages. Rebooted, nvidia340 kernel module built, wifi started, all successful. Tried some apps, no regressions noted.

OK for 64-bit server kernel on this hardware.
Comment 21 Brian Rockwell 2018-01-11 22:43:01 CET
RS780L [Radeon 3000]
AMD Athlon(tm) II X3 450 Processor

Linux localhost 4.4.111-desktop-1.mga5 #1 SMP Wed Jan 10 21:54:51 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Build VirtualBox VM - new one (non-nvidia hardware).  Worked fine.

Abused I/O to disk nicely, things seem to be working fine.  Abused network stack by moving around GB's of files, seems stable.

64-bit desktop ok on this hardware.
Comment 22 Thomas Backlund 2018-01-12 20:56:37 CET
Advisory, added to svn:

type: security
subject: Updated kernel packages fix security vulnerabilities
CVE:
 - CVE 2017-5715
 - CVE 2017-5753
 - CVE-2017-5754
 - CVE-2017-15129
 - CVE-2017-17741
 - CVE-2017-1000407
src:
  5:
   core:
     - dracut-038-21.2.mga5
     - kernel-4.4.111-1.mga5
     - kernel-userspace-headers-4.4.111-1.mga5
     - kmod-vboxadditions-5.1.30-4.mga5
     - kmod-virtualbox-5.1.30-4.mga5
     - kmod-xtables-addons-2.10-52.mga5
description: |
  This kernel update is based on the upstream 4.4.111 and and fixes
  several security issues.

  The most important fix in this update is for the security issue named
  "Meltdown" that is fixed in theese kernels by enabling kernel Page
  Table Isolation (KTPI). Note that according to AMD, this issue does
  not effect Amd processors, so it is not enabled by default on systems
  using Amd CPU.

  The list of known security fixes and mitigations in this kernel:

  kvm: vmx: Scrub hardware GPRs at VM-exit. This enables partial mitigation
  in kvm for the security issue named "Spectre" (CVE 2017-5715, CVE 2017-5753).

  Systems with microprocessors utilizing speculative execution and indirect
  branch prediction may allow unauthorized disclosure of information to an
  attacker with local user access via a side-channel analysis of the data
  cache (CVE-2017-5754, "MeltDown").

  A use-after-free vulnerability was found in network namespaces code
  affecting the Linux kernel before 4.14.11. The function get_net_ns_by_id()
  in net/core/net_namespace.c does not check for the net::count value after
  it has found a peer network in netns_ids idr, which could lead to double
  free and memory corruption. This vulnerability could allow an unprivileged
  local user to induce kernel memory corruption on the system, leading to a
  crash. Due to the nature of the flaw, privilege escalation cannot be fully
  ruled out, although it is thought to be unlikely (CVE-2017-15129).

  The KVM implementation in the Linux kernel through 4.14.7 allows attackers
  to obtain potentially sensitive information from kernel memory, aka a
  write_mmio stack-based out-of-bounds read, related to arch/x86/kvm/x86.c
  and include/trace/events/kvm.h (CVE-2017-17741).

  The Linux Kernel 2.6.32 and later are affected by a denial of service, by
  flooding the diagnostic port 0x80 an exception can be triggered leading
  to a kernel panic (CVE-2017-1000407).

  The kernels are also fixed to allow loading cpu microcode for Amd
  family 17 (Zen) processors, and dracut have been fixed to properly
  support early firmware loading on the microcode on all Amd cpus.

  For more info about Meltdown, Spectre and other fixes in this update,
  see the refences.
  references:
 - https://bugs.mageia.org/show_bug.cgi?id=22331
 - https://meltdownattack.com/
 - https://googleprojectzero.blogspot.fi/2018/01/reading-privileged-memory-with-side.html
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.4.106
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.4.107
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.4.108
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.4.109
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.4.110
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.4.111

Keywords: (none) => advisory

Comment 23 Brian Rockwell 2018-01-12 21:04:20 CET
Intel desktop - e5800 processor, integrated intel graphics

x86-64  desktop

Heavy I/O testing.  Configured machine with Nextcloud, moved gigabytes of data to it and from it.  Seems to be working acceptable over ethernet.

working as designed.
Comment 24 Len Lawrence 2018-01-13 11:15:11 CET
System:    Host: difda Kernel: 4.4.105-desktop-1.mga5 x86_64

Updated to kernel-desktop-4.4.111-1.mga5
- cpupower-4.4.111-1.mga5.x86_64
- cpupower-devel-4.4.111-1.mga5.x86_64
- dracut-038-21.2.mga5.x86_64
- kernel-desktop-4.4.111-1.mga5-1-1.mga5.x86_64
- kernel-desktop-devel-4.4.111-1.mga5-1-1.mga5.x86_64
- kernel-desktop-devel-latest-4.4.111-1.mga5.x86_64
- kernel-desktop-latest-4.4.111-1.mga5.x86_64
- kernel-doc-4.4.111-1.mga5.noarch
- kernel-userspace-headers-4.4.111-1.mga5.x86_64
- ldetect-lst-0.1.346.10-1.mga5.x86_64
- ldetect-lst-devel-0.1.346.10-1.mga5.x86_64
- microcode-0.20180108-1.mga5.nonfree.noarch
- perf-4.4.111-1.mga5.x86_64

nvidia and virtualbox kmods rebuilt

# drakboot --boot
$ reboot

$ dmesg | grep microcode
[    0.000000] microcode: CPU0 microcode updated early to revision 0x23, date = 2017-11-20
System:    Host: difda Kernel: 4.4.111-desktop-1.mga5 x86_64
CPU:       Quad core Intel Core i7-4790 (-HT-MCP-) clocked at 3935 MHz
Machine:   Mobo: MSI model: Z97-G43 (MS-7816) v: 3.0
Graphics:  Card: NVIDIA GM204 [GeForce GTX 970]
           GLX Version: 4.5.0 NVIDIA 384.98
RAM:       32 GB

Desktop applications working under Mate.  Ran some hardware tests.  All OK.
glmark2 score 20100.
Thomas Backlund 2018-01-13 14:54:42 CET

Keywords: (none) => validated_update
Whiteboard: (none) => MGA5-64-OK, MGA5-32-OK
CC: (none) => sysadmin-bugs

Comment 25 Mageia Robot 2018-01-13 15:29:29 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGASA-2018-0073.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.